Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | [Expand All]
public interface

# OnTurnBasedMatchUpdateReceivedListener

com.google.android.gms.games.multiplayer.turnbased.OnTurnBasedMatchUpdateReceivedListener

Known Indirect Subclasses
TurnBasedMultiplayerListener

TurnBasedMultiplayerListener | This interface is deprecated. See `TurnBasedMultiplayer.CancelMatchResult`, `TurnBasedMultiplayer.InitiateMatchResult`, `TurnBasedMultiplayer.LeaveMatchResult`, `TurnBasedMultiplayer.LoadMatchesResult`, `TurnBasedMultiplayer.UpdateMatchResult`, `OnInvitationReceivedListener`, and `OnTurnBasedMatchUpdateReceivedListener`.

## Class Overview

Listener invoked when an update to a turn-based match is received.

## Summary

Public Methods
abstract void | onTurnBasedMatchReceived(TurnBasedMatch match) Callback invoked when a new update to a match arrives.
abstract void | onTurnBasedMatchRemoved(String matchId) Callback invoked when a match has been removed from the local device.

## Public Methods

#### public abstract void onTurnBasedMatchReceived (TurnBasedMatch match)

Callback invoked when a new update to a match arrives. Note that if a listener receives this callback, the system will not display a notification for this event.

##### Parameters

match | The match that was received.

#### public abstract void onTurnBasedMatchRemoved (String matchId)

Callback invoked when a match has been removed from the local device. For example, this might occur if the player leaves the match on another device.

##### Parameters

matchId | The ID of the match that has been removed.